Bug 235787 - ixgbe no carrier problem - TX(7) desc avail = 2048, pidx = 0
Summary: ixgbe no carrier problem - TX(7) desc avail = 2048, pidx = 0
Status: Closed Unable to Reproduce
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 12.0-STABLE
Hardware: amd64 Any
: --- Affects Many People
Assignee: freebsd-net mailing list
URL:
Keywords: IntelNetworking
Depends on:
Blocks:
 
Reported: 2019-02-16 21:56 UTC by Ozkan KIRIK
Modified: 2019-07-16 05:37 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ozkan KIRIK 2019-02-16 21:56:18 UTC
I'm using FreeBSD 12.0-STABLE #1 r344160M: Fri Feb 15

After a fresh boot, ix0 works but after a traffic flood (~10Gbps, 1.5Millon pps) ix0 losts link and console fills with "ix0: TX(7) desc avail = 2048, pidx = 0" message.
ifconfig down/up doesnt help. System configured as router. Both pf and ipfw is enabled.

ring_state of txq flaps between IDLE and STALLED too quickly as shown below:

# sysctl dev.ix.0 | grep ring
dev.ix.0.iflib.txq7.ring_state: pidx_head: 1644 pidx_tail: 1644 cidx: 1644 state: IDLE
dev.ix.0.iflib.txq6.ring_state: pidx_head: 1098 pidx_tail: 1098 cidx: 1098 state: IDLE
dev.ix.0.iflib.txq5.ring_state: pidx_head: 1292 pidx_tail: 1292 cidx: 1292 state: IDLE
dev.ix.0.iflib.txq4.ring_state: pidx_head: 0956 pidx_tail: 0956 cidx: 0956 state: IDLE
dev.ix.0.iflib.txq3.ring_state: pidx_head: 1062 pidx_tail: 1062 cidx: 1062 state: IDLE
dev.ix.0.iflib.txq2.ring_state: pidx_head: 0962 pidx_tail: 0962 cidx: 0962 state: IDLE
dev.ix.0.iflib.txq1.ring_state: pidx_head: 0383 pidx_tail: 0383 cidx: 0383 state: IDLE
dev.ix.0.iflib.txq0.ring_state: pidx_head: 0499 pidx_tail: 0499 cidx: 0499 state: IDLE
# sysctl dev.ix.0 | grep ring
dev.ix.0.iflib.txq7.ring_state: pidx_head: 1646 pidx_tail: 1646 cidx: 1644 state: STALLED
dev.ix.0.iflib.txq6.ring_state: pidx_head: 1100 pidx_tail: 1100 cidx: 1098 state: STALLED
dev.ix.0.iflib.txq5.ring_state: pidx_head: 1294 pidx_tail: 1294 cidx: 1292 state: STALLED
dev.ix.0.iflib.txq4.ring_state: pidx_head: 0958 pidx_tail: 0958 cidx: 0956 state: STALLED
dev.ix.0.iflib.txq3.ring_state: pidx_head: 1064 pidx_tail: 1064 cidx: 1062 state: STALLED
dev.ix.0.iflib.txq2.ring_state: pidx_head: 0964 pidx_tail: 0964 cidx: 0962 state: STALLED
dev.ix.0.iflib.txq1.ring_state: pidx_head: 0385 pidx_tail: 0385 cidx: 0383 state: STALLED
dev.ix.0.iflib.txq0.ring_state: pidx_head: 0501 pidx_tail: 0501 cidx: 0499 state: STALLED

Further information:

# sysctl net.inet.tcp.tso
net.inet.tcp.tso: 0

# pciconf -lv
...
ix0@pci0:3:0:0: class=0x020000 card=0x15ad15d9 chip=0x15ad8086 rev=0x00 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = 'Ethernet Connection X552/X557-AT 10GBASE-T'
    class      = network
    subclass   = ethernet
ix1@pci0:3:0:1: class=0x020000 card=0x15ad15d9 chip=0x15ad8086 rev=0x00 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = 'Ethernet Connection X552/X557-AT 10GBASE-T'
    class      = network
    subclass   = ethernet
...

# dmesg | tail
ix0: TX(7) desc avail = 2048, pidx = 0
ix0: TX(7) desc avail = 2048, pidx = 0
ix0: TX(7) desc avail = 2048, pidx = 0
ix0: TX(7) desc avail = 2048, pidx = 0
ix0: TX(7) desc avail = 2048, pidx = 0
ix0: TX(7) desc avail = 2048, pidx = 0
ix0: TX(7) desc avail = 2048, pidx = 0
ix0: TX(7) desc avail = 2048, pidx = 0
ix0: TX(7) desc avail = 2048, pidx = 0
ix0: TX(7) desc avail = 2048, pidx = 0

# sysctl dev.ix.0
dev.ix.0.phy.overtemp_occurred: 0
dev.ix.0.phy.temp: 52
dev.ix.0.wufc: 2
dev.ix.0.wol_enable: 1
dev.ix.0.dmac: 0
dev.ix.0.advertise_speed: 6
dev.ix.0.fc: 3
dev.ix.0.mac_stats.tx_frames_1024_1522: 242255182
dev.ix.0.mac_stats.tx_frames_512_1023: 2224233
dev.ix.0.mac_stats.tx_frames_256_511: 90469
dev.ix.0.mac_stats.tx_frames_128_255: 298489
dev.ix.0.mac_stats.tx_frames_65_127: 915
dev.ix.0.mac_stats.tx_frames_64: 3399594
dev.ix.0.mac_stats.management_pkts_txd: 0
dev.ix.0.mac_stats.mcast_pkts_txd: 0
dev.ix.0.mac_stats.bcast_pkts_txd: 18
dev.ix.0.mac_stats.good_pkts_txd: 248268882
dev.ix.0.mac_stats.total_pkts_txd: 248380674
dev.ix.0.mac_stats.good_octets_txd: 264561940990
dev.ix.0.mac_stats.checksum_errs: 0
dev.ix.0.mac_stats.management_pkts_drpd: 0
dev.ix.0.mac_stats.management_pkts_rcvd: 0
dev.ix.0.mac_stats.recv_jabberd: 0
dev.ix.0.mac_stats.recv_oversized: 0
dev.ix.0.mac_stats.recv_fragmented: 0
dev.ix.0.mac_stats.recv_undersized: 0
dev.ix.0.mac_stats.rx_frames_1024_1522: 0
dev.ix.0.mac_stats.rx_frames_512_1023: 0
dev.ix.0.mac_stats.rx_frames_256_511: 0
dev.ix.0.mac_stats.rx_frames_128_255: 31214475
dev.ix.0.mac_stats.rx_frames_65_127: 0
dev.ix.0.mac_stats.rx_frames_64: 294876756
dev.ix.0.mac_stats.bcast_pkts_rcvd: 55
dev.ix.0.mac_stats.mcast_pkts_rcvd: 0
dev.ix.0.mac_stats.good_pkts_rcvd: 326091231
dev.ix.0.mac_stats.total_pkts_rcvd: 326091377
dev.ix.0.mac_stats.good_octets_rcvd: 24116144184
dev.ix.0.mac_stats.total_octets_rcvd: 24116302156
dev.ix.0.mac_stats.xoff_recvd: 0
dev.ix.0.mac_stats.xoff_txd: 111719
dev.ix.0.mac_stats.xon_recvd: 0
dev.ix.0.mac_stats.xon_txd: 73
dev.ix.0.mac_stats.rx_missed_packets: 79134616
dev.ix.0.mac_stats.rec_len_errs: 0
dev.ix.0.mac_stats.remote_faults: 109
dev.ix.0.mac_stats.local_faults: 6168
dev.ix.0.mac_stats.short_discards: 0
dev.ix.0.mac_stats.byte_errs: 0
dev.ix.0.mac_stats.ill_errs: 0
dev.ix.0.mac_stats.crc_errs: 0
dev.ix.0.queue7.rx_discarded: 0
dev.ix.0.queue7.rx_copies: 0
dev.ix.0.queue7.rx_bytes: 2039610016
dev.ix.0.queue7.rx_packets: 30698808
dev.ix.0.queue7.rxd_tail: 0
dev.ix.0.queue7.rxd_head: 0
dev.ix.0.queue7.irqs: 3173264
dev.ix.0.queue7.interrupt_rate: 0
dev.ix.0.queue7.tx_packets: 30856521
dev.ix.0.queue7.tso_tx: 0
dev.ix.0.queue7.txd_tail: 0
dev.ix.0.queue7.txd_head: 0
dev.ix.0.queue6.rx_discarded: 0
dev.ix.0.queue6.rx_copies: 0
dev.ix.0.queue6.rx_bytes: 2089031628
dev.ix.0.queue6.rx_packets: 31500977
dev.ix.0.queue6.rxd_tail: 0
dev.ix.0.queue6.rxd_head: 0
dev.ix.0.queue6.irqs: 3134192
dev.ix.0.queue6.interrupt_rate: 0
dev.ix.0.queue6.tx_packets: 31675174
dev.ix.0.queue6.tso_tx: 0
dev.ix.0.queue6.txd_tail: 0
dev.ix.0.queue6.txd_head: 0
dev.ix.0.queue5.rx_discarded: 0
dev.ix.0.queue5.rx_copies: 0
dev.ix.0.queue5.rx_bytes: 2047319288
dev.ix.0.queue5.rx_packets: 30796602
dev.ix.0.queue5.rxd_tail: 0
dev.ix.0.queue5.rxd_head: 0
dev.ix.0.queue5.irqs: 3142751
dev.ix.0.queue5.interrupt_rate: 0
dev.ix.0.queue5.tx_packets: 30968811
dev.ix.0.queue5.tso_tx: 0
dev.ix.0.queue5.txd_tail: 0
dev.ix.0.queue5.txd_head: 0
dev.ix.0.queue4.rx_discarded: 0
dev.ix.0.queue4.rx_copies: 0
dev.ix.0.queue4.rx_bytes: 2123799536
dev.ix.0.queue4.rx_packets: 31929006
dev.ix.0.queue4.rxd_tail: 0
dev.ix.0.queue4.rxd_head: 0
dev.ix.0.queue4.irqs: 2940062
dev.ix.0.queue4.interrupt_rate: 0
dev.ix.0.queue4.tx_packets: 32078227
dev.ix.0.queue4.tso_tx: 0
dev.ix.0.queue4.txd_tail: 0
dev.ix.0.queue4.txd_head: 0
dev.ix.0.queue3.rx_discarded: 0
dev.ix.0.queue3.rx_copies: 0
dev.ix.0.queue3.rx_bytes: 1977260424
dev.ix.0.queue3.rx_packets: 29925538
dev.ix.0.queue3.rxd_tail: 0
dev.ix.0.queue3.rxd_head: 0
dev.ix.0.queue3.irqs: 3629472
dev.ix.0.queue3.interrupt_rate: 0
dev.ix.0.queue3.tx_packets: 29868804
dev.ix.0.queue3.tso_tx: 0
dev.ix.0.queue3.txd_tail: 0
dev.ix.0.queue3.txd_head: 0
dev.ix.0.queue2.rx_discarded: 0
dev.ix.0.queue2.rx_copies: 0
dev.ix.0.queue2.rx_bytes: 2045645360
dev.ix.0.queue2.rx_packets: 30754528
dev.ix.0.queue2.rxd_tail: 0
dev.ix.0.queue2.rxd_head: 0
dev.ix.0.queue2.irqs: 3235946
dev.ix.0.queue2.interrupt_rate: 0
dev.ix.0.queue2.tx_packets: 30884513
dev.ix.0.queue2.tso_tx: 0
dev.ix.0.queue2.txd_tail: 0
dev.ix.0.queue2.txd_head: 0
dev.ix.0.queue1.rx_discarded: 0
dev.ix.0.queue1.rx_copies: 0
dev.ix.0.queue1.rx_bytes: 2024120832
dev.ix.0.queue1.rx_packets: 30627328
dev.ix.0.queue1.rxd_tail: 0
dev.ix.0.queue1.rxd_head: 0
dev.ix.0.queue1.irqs: 2914574
dev.ix.0.queue1.interrupt_rate: 0
dev.ix.0.queue1.tx_packets: 30883902
dev.ix.0.queue1.tso_tx: 0
dev.ix.0.queue1.txd_tail: 0
dev.ix.0.queue1.txd_head: 0
dev.ix.0.queue0.rx_discarded: 0
dev.ix.0.queue0.rx_copies: 0
dev.ix.0.queue0.rx_bytes: 2040604424
dev.ix.0.queue0.rx_packets: 30723828
dev.ix.0.queue0.rxd_tail: 0
dev.ix.0.queue0.rxd_head: 0
dev.ix.0.queue0.irqs: 3461689
dev.ix.0.queue0.interrupt_rate: 0
dev.ix.0.queue0.tx_packets: 31056081
dev.ix.0.queue0.tso_tx: 0
dev.ix.0.queue0.txd_tail: 0
dev.ix.0.queue0.txd_head: 0
dev.ix.0.link_irq: 8
dev.ix.0.watchdog_events: 0
dev.ix.0.dropped: 0
dev.ix.0.iflib.rxq7.rxq_fl0.credits: 128
dev.ix.0.iflib.rxq7.rxq_fl0.cidx: 0
dev.ix.0.iflib.rxq7.rxq_fl0.pidx: 128
dev.ix.0.iflib.rxq6.rxq_fl0.credits: 128
dev.ix.0.iflib.rxq6.rxq_fl0.cidx: 0
dev.ix.0.iflib.rxq6.rxq_fl0.pidx: 128
dev.ix.0.iflib.rxq5.rxq_fl0.credits: 128
dev.ix.0.iflib.rxq5.rxq_fl0.cidx: 0
dev.ix.0.iflib.rxq5.rxq_fl0.pidx: 128
dev.ix.0.iflib.rxq4.rxq_fl0.credits: 128
dev.ix.0.iflib.rxq4.rxq_fl0.cidx: 0
dev.ix.0.iflib.rxq4.rxq_fl0.pidx: 128
dev.ix.0.iflib.rxq3.rxq_fl0.credits: 128
dev.ix.0.iflib.rxq3.rxq_fl0.cidx: 0
dev.ix.0.iflib.rxq3.rxq_fl0.pidx: 128
dev.ix.0.iflib.rxq2.rxq_fl0.credits: 128
dev.ix.0.iflib.rxq2.rxq_fl0.cidx: 0
dev.ix.0.iflib.rxq2.rxq_fl0.pidx: 128
dev.ix.0.iflib.rxq1.rxq_fl0.credits: 128
dev.ix.0.iflib.rxq1.rxq_fl0.cidx: 0
dev.ix.0.iflib.rxq1.rxq_fl0.pidx: 128
dev.ix.0.iflib.rxq0.rxq_fl0.credits: 128
dev.ix.0.iflib.rxq0.rxq_fl0.cidx: 0
dev.ix.0.iflib.rxq0.rxq_fl0.pidx: 128
dev.ix.0.iflib.txq7.r_abdications: 0
dev.ix.0.iflib.txq7.r_restarts: 0
dev.ix.0.iflib.txq7.r_stalls: 1
dev.ix.0.iflib.txq7.r_starts: 1
dev.ix.0.iflib.txq7.r_drops: 0
dev.ix.0.iflib.txq7.r_enqueues: 2
dev.ix.0.iflib.txq7.ring_state: pidx_head: 1384 pidx_tail: 1384 cidx: 1382 state: STALLED
dev.ix.0.iflib.txq7.txq_cleaned: 0
dev.ix.0.iflib.txq7.txq_processed: 0
dev.ix.0.iflib.txq7.txq_in_use: 0
dev.ix.0.iflib.txq7.txq_cidx_processed: 0
dev.ix.0.iflib.txq7.txq_cidx: 0
dev.ix.0.iflib.txq7.txq_pidx: 0
dev.ix.0.iflib.txq7.no_tx_dma_setup: 0
dev.ix.0.iflib.txq7.txd_encap_efbig: 0
dev.ix.0.iflib.txq7.tx_map_failed: 0
dev.ix.0.iflib.txq7.no_desc_avail: 0
dev.ix.0.iflib.txq7.mbuf_defrag_failed: 0
dev.ix.0.iflib.txq7.m_pullups: 0
dev.ix.0.iflib.txq7.mbuf_defrag: 0
dev.ix.0.iflib.txq6.r_abdications: 0
dev.ix.0.iflib.txq6.r_restarts: 0
dev.ix.0.iflib.txq6.r_stalls: 1
dev.ix.0.iflib.txq6.r_starts: 1
dev.ix.0.iflib.txq6.r_drops: 0
dev.ix.0.iflib.txq6.r_enqueues: 2
dev.ix.0.iflib.txq6.ring_state: pidx_head: 0838 pidx_tail: 0838 cidx: 0836 state: STALLED
dev.ix.0.iflib.txq6.txq_cleaned: 0
dev.ix.0.iflib.txq6.txq_processed: 0
dev.ix.0.iflib.txq6.txq_in_use: 0
dev.ix.0.iflib.txq6.txq_cidx_processed: 0
dev.ix.0.iflib.txq6.txq_cidx: 0
dev.ix.0.iflib.txq6.txq_pidx: 0
dev.ix.0.iflib.txq6.no_tx_dma_setup: 0
dev.ix.0.iflib.txq6.txd_encap_efbig: 0
dev.ix.0.iflib.txq6.tx_map_failed: 0
dev.ix.0.iflib.txq6.no_desc_avail: 0
dev.ix.0.iflib.txq6.mbuf_defrag_failed: 0
dev.ix.0.iflib.txq6.m_pullups: 0
dev.ix.0.iflib.txq6.mbuf_defrag: 0
dev.ix.0.iflib.txq5.r_abdications: 0
dev.ix.0.iflib.txq5.r_restarts: 0
dev.ix.0.iflib.txq5.r_stalls: 1
dev.ix.0.iflib.txq5.r_starts: 1
dev.ix.0.iflib.txq5.r_drops: 0
dev.ix.0.iflib.txq5.r_enqueues: 2
dev.ix.0.iflib.txq5.ring_state: pidx_head: 1032 pidx_tail: 1032 cidx: 1030 state: STALLED
dev.ix.0.iflib.txq5.txq_cleaned: 0
dev.ix.0.iflib.txq5.txq_processed: 0
dev.ix.0.iflib.txq5.txq_in_use: 0
dev.ix.0.iflib.txq5.txq_cidx_processed: 0
dev.ix.0.iflib.txq5.txq_cidx: 0
dev.ix.0.iflib.txq5.txq_pidx: 0
dev.ix.0.iflib.txq5.no_tx_dma_setup: 0
dev.ix.0.iflib.txq5.txd_encap_efbig: 0
dev.ix.0.iflib.txq5.tx_map_failed: 0
dev.ix.0.iflib.txq5.no_desc_avail: 0
dev.ix.0.iflib.txq5.mbuf_defrag_failed: 0
dev.ix.0.iflib.txq5.m_pullups: 0
dev.ix.0.iflib.txq5.mbuf_defrag: 0
dev.ix.0.iflib.txq4.r_abdications: 0
dev.ix.0.iflib.txq4.r_restarts: 0
dev.ix.0.iflib.txq4.r_stalls: 1
dev.ix.0.iflib.txq4.r_starts: 1
dev.ix.0.iflib.txq4.r_drops: 0
dev.ix.0.iflib.txq4.r_enqueues: 2
dev.ix.0.iflib.txq4.ring_state: pidx_head: 0696 pidx_tail: 0696 cidx: 0694 state: STALLED
dev.ix.0.iflib.txq4.txq_cleaned: 0
dev.ix.0.iflib.txq4.txq_processed: 0
dev.ix.0.iflib.txq4.txq_in_use: 0
dev.ix.0.iflib.txq4.txq_cidx_processed: 0
dev.ix.0.iflib.txq4.txq_cidx: 0
dev.ix.0.iflib.txq4.txq_pidx: 0
dev.ix.0.iflib.txq4.no_tx_dma_setup: 0
dev.ix.0.iflib.txq4.txd_encap_efbig: 0
dev.ix.0.iflib.txq4.tx_map_failed: 0
dev.ix.0.iflib.txq4.no_desc_avail: 0
dev.ix.0.iflib.txq4.mbuf_defrag_failed: 0
dev.ix.0.iflib.txq4.m_pullups: 0
dev.ix.0.iflib.txq4.mbuf_defrag: 0
dev.ix.0.iflib.txq3.r_abdications: 0
dev.ix.0.iflib.txq3.r_restarts: 0
dev.ix.0.iflib.txq3.r_stalls: 1
dev.ix.0.iflib.txq3.r_starts: 1
dev.ix.0.iflib.txq3.r_drops: 0
dev.ix.0.iflib.txq3.r_enqueues: 2
dev.ix.0.iflib.txq3.ring_state: pidx_head: 0802 pidx_tail: 0802 cidx: 0800 state: STALLED
dev.ix.0.iflib.txq3.txq_cleaned: 0
dev.ix.0.iflib.txq3.txq_processed: 0
dev.ix.0.iflib.txq3.txq_in_use: 0
dev.ix.0.iflib.txq3.txq_cidx_processed: 0
dev.ix.0.iflib.txq3.txq_cidx: 0
dev.ix.0.iflib.txq3.txq_pidx: 0
dev.ix.0.iflib.txq3.no_tx_dma_setup: 0
dev.ix.0.iflib.txq3.txd_encap_efbig: 0
dev.ix.0.iflib.txq3.tx_map_failed: 0
dev.ix.0.iflib.txq3.no_desc_avail: 0
dev.ix.0.iflib.txq3.mbuf_defrag_failed: 0
dev.ix.0.iflib.txq3.m_pullups: 0
dev.ix.0.iflib.txq3.mbuf_defrag: 0
dev.ix.0.iflib.txq2.r_abdications: 0
dev.ix.0.iflib.txq2.r_restarts: 0
dev.ix.0.iflib.txq2.r_stalls: 1
dev.ix.0.iflib.txq2.r_starts: 1
dev.ix.0.iflib.txq2.r_drops: 0
dev.ix.0.iflib.txq2.r_enqueues: 2
dev.ix.0.iflib.txq2.ring_state: pidx_head: 0702 pidx_tail: 0702 cidx: 0700 state: STALLED
dev.ix.0.iflib.txq2.txq_cleaned: 0
dev.ix.0.iflib.txq2.txq_processed: 0
dev.ix.0.iflib.txq2.txq_in_use: 0
dev.ix.0.iflib.txq2.txq_cidx_processed: 0
dev.ix.0.iflib.txq2.txq_cidx: 0
dev.ix.0.iflib.txq2.txq_pidx: 0
dev.ix.0.iflib.txq2.no_tx_dma_setup: 0
dev.ix.0.iflib.txq2.txd_encap_efbig: 0
dev.ix.0.iflib.txq2.tx_map_failed: 0
dev.ix.0.iflib.txq2.no_desc_avail: 0
dev.ix.0.iflib.txq2.mbuf_defrag_failed: 0
dev.ix.0.iflib.txq2.m_pullups: 0
dev.ix.0.iflib.txq2.mbuf_defrag: 0
dev.ix.0.iflib.txq1.r_abdications: 0
dev.ix.0.iflib.txq1.r_restarts: 0
dev.ix.0.iflib.txq1.r_stalls: 1
dev.ix.0.iflib.txq1.r_starts: 1
dev.ix.0.iflib.txq1.r_drops: 0
dev.ix.0.iflib.txq1.r_enqueues: 2
dev.ix.0.iflib.txq1.ring_state: pidx_head: 0123 pidx_tail: 0123 cidx: 0121 state: STALLED
dev.ix.0.iflib.txq1.txq_cleaned: 0
dev.ix.0.iflib.txq1.txq_processed: 0
dev.ix.0.iflib.txq1.txq_in_use: 0
dev.ix.0.iflib.txq1.txq_cidx_processed: 0
dev.ix.0.iflib.txq1.txq_cidx: 0
dev.ix.0.iflib.txq1.txq_pidx: 0
dev.ix.0.iflib.txq1.no_tx_dma_setup: 0
dev.ix.0.iflib.txq1.txd_encap_efbig: 0
dev.ix.0.iflib.txq1.tx_map_failed: 0
dev.ix.0.iflib.txq1.no_desc_avail: 0
dev.ix.0.iflib.txq1.mbuf_defrag_failed: 0
dev.ix.0.iflib.txq1.m_pullups: 0
dev.ix.0.iflib.txq1.mbuf_defrag: 0
dev.ix.0.iflib.txq0.r_abdications: 0
dev.ix.0.iflib.txq0.r_restarts: 0
dev.ix.0.iflib.txq0.r_stalls: 1
dev.ix.0.iflib.txq0.r_starts: 1
dev.ix.0.iflib.txq0.r_drops: 0
dev.ix.0.iflib.txq0.r_enqueues: 2
dev.ix.0.iflib.txq0.ring_state: pidx_head: 0239 pidx_tail: 0239 cidx: 0237 state: STALLED
dev.ix.0.iflib.txq0.txq_cleaned: 0
dev.ix.0.iflib.txq0.txq_processed: 0
dev.ix.0.iflib.txq0.txq_in_use: 0
dev.ix.0.iflib.txq0.txq_cidx_processed: 0
dev.ix.0.iflib.txq0.txq_cidx: 0
dev.ix.0.iflib.txq0.txq_pidx: 0
dev.ix.0.iflib.txq0.no_tx_dma_setup: 0
dev.ix.0.iflib.txq0.txd_encap_efbig: 0
dev.ix.0.iflib.txq0.tx_map_failed: 0
dev.ix.0.iflib.txq0.no_desc_avail: 0
dev.ix.0.iflib.txq0.mbuf_defrag_failed: 0
dev.ix.0.iflib.txq0.m_pullups: 0
dev.ix.0.iflib.txq0.mbuf_defrag: 0
dev.ix.0.iflib.override_nrxds: 0
dev.ix.0.iflib.override_ntxds: 0
dev.ix.0.iflib.tx_abdicate: 0
dev.ix.0.iflib.rx_budget: 0
dev.ix.0.iflib.disable_msix: 0
dev.ix.0.iflib.override_qs_enable: 0
dev.ix.0.iflib.override_nrxqs: 0
dev.ix.0.iflib.override_ntxqs: 0
dev.ix.0.iflib.driver_version: 4.0.1-k
dev.ix.0.%parent: pci4
dev.ix.0.%pnpinfo: vendor=0x8086 device=0x15ad subvendor=0x15d9 subdevice=0x15ad class=0x020000
dev.ix.0.%location: slot=0 function=0 dbsf=pci0:3:0:0 handle=\_SB_.PCI0.BR2C.H000
dev.ix.0.%driver: ix
dev.ix.0.%desc: Intel(R) PRO/10GbE PCI-Express Network Driver

# cat /var/run/dmesg.boot | less
---<<BOOT>>---
Copyright (c) 1992-2019 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
        The Regents of the University of California. All rights reserved.
FreeBSD is a registered trademark of The FreeBSD Foundation.
FreeBSD 12.0-STABLE #1 r344160M: Fri Feb 15 21:17:36 +03 2019
    
FreeBSD clang version 6.0.1 (tags/RELEASE_601/final 335540) (based on LLVM 6.0.1)
VT(vga): resolution 640x480
CPU: Intel(R) Xeon(R) CPU D-1541 @ 2.10GHz (2100.04-MHz K8-class CPU)
  Origin="GenuineIntel"  Id=0x50663  Family=0x6  Model=0x56  Stepping=3
  Features=0xbfebfbff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,APIC,SEP,MTRR,PGE,MCA,CMOV,PAT,PSE36,CLFLUSH,DTS,ACPI,MMX,FXSR,SSE,SSE2,SS,HTT,TM,PBE>
  Features2=0x7ffefbff<SSE3,PCLMULQDQ,DTES64,MON,DS_CPL,VMX,SMX,EST,TM2,SSSE3,SDBG,FMA,CX16,xTPR,PDCM,PCID,DCA,SSE4.1,SSE4.2,x2APIC,MOVBE,POPCNT,TSCDLT,AESNI,XSAVE,OSXSAVE,AVX,F16C,RDRAND>
  AMD Features=0x2c100800<SYSCALL,NX,Page1GB,RDTSCP,LM>
  AMD Features2=0x121<LAHF,ABM,Prefetch>
  Structured Extended Features=0x21cbfbb<FSGSBASE,TSCADJ,BMI1,HLE,AVX2,SMEP,BMI2,ERMS,INVPCID,RTM,PQM,NFPUSG,PQE,RDSEED,ADX,SMAP,PROCTRACE>
  Structured Extended Features3=0x9c000000<IBPB,STIBP,L1DFL,SSBD>
  XSAVE Features=0x1<XSAVEOPT>
  VT-x: PAT,HLT,MTF,PAUSE,EPT,UG,VPID,VID,PostIntr
  TSC: P-state invariant, performance statistics
real memory  = 34359738368 (32768 MB)
avail memory = 33229217792 (31689 MB)
Event timer "LAPIC" quality 600
ACPI APIC Table: <SUPERM SMCI--MB>
FreeBSD/SMP: Multiprocessor System Detected: 16 CPUs
FreeBSD/SMP: 1 package(s) x 8 core(s) x 2 hardware threads
arc4random: no preloaded entropy cache
ioapic0 <Version 2.0> irqs 0-23 on motherboard
Launching APs: 1 2 11 7 15 4 3 6 5 12 10 14 9 13 8
Timecounter "TSC" frequency 2100041524 Hz quality 1000
random: entropy device external interface
000.000015 [4254] netmap_init               netmap: loaded module
[ath_hal] loaded
module_register_init: MOD_LOAD (vesa, 0xffffffff8110c7a0, 0) error 19
random: registering fast source Intel Secure Key RNG
random: fast provider: "Intel Secure Key RNG"
kbd1 at kbdmux0
nexus0
vtvga0: <VT VGA driver> on motherboard
cryptosoft0: <software crypto> on motherboard
aesni0: <AES-CBC,AES-XTS,AES-GCM,AES-ICM> on motherboard
acpi0: <SUPERM SMCI--MB> on motherboard
acpi0: Power Button (fixed)
cpu0: <ACPI CPU> on acpi0
atrtc0: <AT realtime clock> port 0x70-0x71,0x74-0x77 irq 8 on acpi0
atrtc0: registered as a time-of-day clock, resolution 1.000000s
Event timer "RTC" frequency 32768 Hz quality 0
attimer0: <AT timer> port 0x40-0x43,0x50-0x53 irq 0 on acpi0
Timecounter "i8254" frequency 1193182 Hz quality 0
Event timer "i8254" frequency 1193182 Hz quality 100
hpet0: <High Precision Event Timer> iomem 0xfed00000-0xfed003ff on acpi0
Timecounter "HPET" frequency 14318180 Hz quality 950
Event timer "HPET" frequency 14318180 Hz quality 350
Event timer "HPET1" frequency 14318180 Hz quality 340
Event timer "HPET2" frequency 14318180 Hz quality 340
Event timer "HPET3" frequency 14318180 Hz quality 340
Event timer "HPET4" frequency 14318180 Hz quality 340
Event timer "HPET5" frequency 14318180 Hz quality 340
Event timer "HPET6" frequency 14318180 Hz quality 340
Event timer "HPET7" frequency 14318180 Hz quality 340
Timecounter "ACPI-fast" frequency 3579545 Hz quality 900
acpi_timer0: <24-bit timer at 3.579545MHz> port 0x408-0x40b on acpi0
pcib0: <ACPI Host-PCI bridge> on acpi0
pci0: <ACPI PCI bus> on pcib0
pci0: <dasp, performance counters> at device 11.1 (no driver attached)
pci0: <dasp, performance counters> at device 11.2 (no driver attached)
pci0: <dasp, performance counters> at device 16.1 (no driver attached)
pci0: <dasp, performance counters> at device 16.6 (no driver attached)
pci0: <dasp, performance counters> at device 18.1 (no driver attached)
acpi_syscontainer0: <System Container> on acpi0
pcib1: <ACPI Host-PCI bridge> port 0xcf8-0xcff on acpi0
pci1: <ACPI PCI bus> on pcib1
pcib2: <ACPI PCI-PCI bridge> irq 16 at device 1.0 on pci1
pci2: <ACPI PCI bus> on pcib2
pcib3: <ACPI PCI-PCI bridge> irq 16 at device 2.0 on pci1
pci3: <ACPI PCI bus> on pcib3
pcib4: <ACPI PCI-PCI bridge> irq 16 at device 2.2 on pci1
ACPI Warning: \134_SB.PCI0.BR2C._PRT: Return Package has no elements (empty) (20181213/nsprepkg-251)
pci4: <ACPI PCI bus> on pcib4
pcib4: no PRT entry for 3.0.INTA
pcib4: no PRT entry for 3.0.INTB
ix0: <Intel(R) PRO/10GbE PCI-Express Network Driver> mem 0xfbc00000-0xfbdfffff,0xfbe04000-0xfbe07fff irq 11 at device 0.0 on pci4
ix0: Using 2048 tx descriptors and 2048 rx descriptors
ix0: Using 8 rx queues 8 tx queues
ix0: Using MSI-X interrupts with 9 vectors
ix0: allocated for 8 queues
ix0: allocated for 8 rx queues
ix0: Ethernet address: 0c:c4:7a:c7:67:6a
ix0: netmap queues/slots: TX 8/2048, RX 8/2048
ix1: <Intel(R) PRO/10GbE PCI-Express Network Driver> mem 0xfba00000-0xfbbfffff,0xfbe00000-0xfbe03fff irq 10 at device 0.1 on pci4
ix1: Using 2048 tx descriptors and 2048 rx descriptors
ix1: Using 8 rx queues 8 tx queues
ix1: Using MSI-X interrupts with 9 vectors
ix1: allocated for 8 queues
ix1: allocated for 8 rx queues
ix1: Ethernet address: 0c:c4:7a:c7:67:6b
ix1: netmap queues/slots: TX 8/2048, RX 8/2048
pcib5: <ACPI PCI-PCI bridge> irq 16 at device 3.0 on pci1
pci5: <ACPI PCI bus> on pcib5
xhci0: <Intel Lynx Point USB 3.0 controller> mem 0xfb400000-0xfb40ffff irq 19 at device 20.0 on pci1
xhci0: 32 bytes context size, 64-bit DMA
usbus0: waiting for BIOS to give up control
xhci_interrupt: host controller halted
xhci0: Port routing mask set to 0xffffffff
usbus0 on xhci0
usbus0: 5.0Gbps Super Speed USB v3.0
pci1: <simple comms> at device 22.0 (no driver attached)
pci1: <simple comms> at device 22.1 (no driver attached)
ehci0: <Intel Lynx Point USB 2.0 controller USB-B> mem 0xfb414000-0xfb4143ff irq 18 at device 26.0 on pci1
usbus1: EHCI version 1.0
usbus1 on ehci0
usbus1: 480Mbps High Speed USB v2.0
pcib6: <ACPI PCI-PCI bridge> irq 16 at device 28.0 on pci1
pci6: <ACPI PCI bus> on pcib6
igb0: <Intel(R) PRO/1000 PCI-Express Network Driver> port 0xe020-0xe03f mem 0xfb120000-0xfb13ffff,0xfb144000-0xfb147fff irq 16 at device 0.0 on pci6
igb0: Using 1024 tx descriptors and 1024 rx descriptors
igb0: Using 8 rx queues 8 tx queues
igb0: Using MSI-X interrupts with 9 vectors
igb0: Ethernet address: 0c:c4:7a:c7:62:ba
igb0: netmap queues/slots: TX 8/1024, RX 8/1024
igb1: <Intel(R) PRO/1000 PCI-Express Network Driver> port 0xe000-0xe01f mem 0xfb100000-0xfb11ffff,0xfb140000-0xfb143fff irq 17 at device 0.1 on pci6
igb1: Using 1024 tx descriptors and 1024 rx descriptors
igb1: Using 8 rx queues 8 tx queues
igb1: Using MSI-X interrupts with 9 vectors
igb1: Ethernet address: 0c:c4:7a:c7:62:bb
igb1: netmap queues/slots: TX 8/1024, RX 8/1024
pcib7: <ACPI PCI-PCI bridge> irq 16 at device 28.4 on pci1
pci7: <ACPI PCI bus> on pcib7
pcib8: <ACPI PCI-PCI bridge> at device 0.0 on pci7
pci8: <ACPI PCI bus> on pcib8
vgapci0: <VGA-compatible display> port 0xd000-0xd07f mem 0xfa000000-0xfaffffff,0xfb000000-0xfb01ffff irq 18 at device 0.0 on pci8
vgapci0: Boot video device
ehci1: <Intel Lynx Point USB 2.0 controller USB-A> mem 0xfb413000-0xfb4133ff irq 18 at device 29.0 on pci1
usbus2: EHCI version 1.0
usbus2 on ehci1
usbus2: 480Mbps High Speed USB v2.0
isab0: <PCI-ISA bridge> at device 31.0 on pci1
isa0: <ISA bus> on isab0
ahci0: <Intel Lynx Point AHCI SATA controller> port 0xf070-0xf077,0xf060-0xf063,0xf050-0xf057,0xf040-0xf043,0xf020-0xf03f mem 0xfb412000-0xfb4127ff irq 16 at device 31.2 on pci1
ahci0: AHCI v1.30 with 6 6Gbps ports, Port Multiplier not supported
ahcich0: <AHCI channel> at channel 0 on ahci0
ahcich1: <AHCI channel> at channel 1 on ahci0
ahcich2: <AHCI channel> at channel 2 on ahci0
ahcich3: <AHCI channel> at channel 3 on ahci0
ahcich4: <AHCI channel> at channel 4 on ahci0
ahcich5: <AHCI channel> at channel 5 on ahci0
ahciem0: <AHCI enclosure management bridge> on ahci0
acpi_button0: <Power Button> on acpi0
uart0: <16550 or compatible> port 0x3f8-0x3ff irq 4 flags 0x10 on acpi0
uart1: <16550 or compatible> port 0x2f8-0x2ff irq 3 on acpi0
orm0: <ISA Option ROMs> at iomem 0xc0000-0xc7fff,0xc8000-0xc8fff pnpid ORM0000 on isa0
est0: <Enhanced SpeedStep Frequency Control> on cpu0
arc4random: no preloaded entropy cache
ZFS filesystem version: 5
ZFS storage pool version: features support (5000)
Timecounters tick every 1.000 msec
arc4random: no preloaded entropy cache
arc4random: no preloaded entropy cache
ipfw2 (+ipv6) initialized, divert loadable, nat loadable, default to accept, logging disabled
DUMMYNET 0xfffff800030e0740 with IPv6 initialized (100409)
load_dn_sched dn_sched RR loaded
load_dn_sched dn_sched WF2Q+ loaded
load_dn_sched dn_sched FIFO loaded
load_dn_sched dn_sched FQ_CODEL loaded
load_dn_sched dn_sched FQ_PIE loaded
load_dn_sched dn_sched PRIO loaded
load_dn_sched dn_sched QFQ loaded
load_dn_aqm dn_aqm CODEL loaded
load_dn_aqm dn_aqm PIE loaded
ugen2.1: <Intel EHCI root HUB> at usbus2
ugen0.1: <0x8086 XHCI root HUB> at usbus0
ugen1.1: <Intel EHCI root HUB> at usbus1
uhub0: <Intel EHCI root HUB, class 9/0, rev 2.00/1.00, addr 1> on usbus2
uhub1: <Intel EHCI root HUB, class 9/0, rev 2.00/1.00, addr 1> on usbus1
uhub2: <0x8086 XHCI root HUB, class 9/0, rev 3.00/1.00, addr 1> on usbus0
random: unblocking device.
arc4random: no preloaded entropy cache
arc4random: no preloaded entropy cache
arc4random: no preloaded entropy cache
arc4random: no preloaded entropy cache
arc4random: no preloaded entropy cache
arc4random: no preloaded entropy cache
arc4random: no preloaded entropy cache
arc4random: no preloaded entropy cache
arc4random: no preloaded entropy cache
arc4random: no preloaded entropy cache
arc4random: no preloaded entropy cache
arc4random: no preloaded entropy cache
uhub0: 2 ports with 2 removable, self powered
uhub1: 2 ports with 2 removable, self powered
uhub2: 21 ports with 21 removable, self powered
ugen0.2: <vendor 0x05e3 USB2.0 Hub> at usbus0
uhub3 on uhub2
uhub3: <vendor 0x05e3 USB2.0 Hub, class 9/0, rev 2.00/32.98, addr 1> on usbus0
uhub3: MTT enabled
ugen2.2: <vendor 0x8087 product 0x8000> at usbus2
uhub4 on uhub0
uhub4: <vendor 0x8087 product 0x8000, class 9/0, rev 2.00/0.05, addr 2> on usbus2
ugen1.2: <vendor 0x8087 product 0x8008> at usbus1
uhub5 on uhub1
uhub5: <vendor 0x8087 product 0x8008, class 9/0, rev 2.00/0.05, addr 2> on usbus1
uhub4: 4 ports with 4 removable, self powered
uhub5: 4 ports with 4 removable, self powered
uhub3: 4 ports with 4 removable, self powered
ugen0.3: <vendor 0x0557 product 0x7000> at usbus0
uhub6 on uhub2
uhub6: <vendor 0x0557 product 0x7000, class 9/0, rev 2.00/0.00, addr 2> on usbus0
uhub6: 4 ports with 3 removable, self powered
ugen0.4: <vendor 0x0557 product 0x2419> at usbus0
ukbd0 on uhub6
ukbd0: <vendor 0x0557 product 0x2419, class 0/0, rev 1.10/1.00, addr 3> on usbus0
kbd2 at ukbd0
ses0 at ahciem0 bus 0 scbus6 target 0 lun 0
ses0: <AHCI SGPIO Enclosure 1.00 0001> SEMB S-E-S 2.00 device
ses0: SEMB SES Device
ada0 at ahcich0 bus 0 scbus0 target 0 lun 0
ada0: <KINGSTON SUV400S37240G 0C3J96R9> ACS-4 ATA SATA 3.x device
ada0: Serial Number 50026B776900C255
ada0: 600.000MB/s transfers (SATA 3.x, UDMA6, PIO 8192bytes)
ada0: Command Queueing enabled
ada0: 228936MB (468862128 512 byte sectors)
Trying to mount root from ufs:/dev/label/os0 [ro]...
ugen0.5: <vendor 0x0ea0 product 0x1111> at usbus0
umass0 on uhub6
umass0: <vendor 0x0ea0 product 0x1111, class 0/0, rev 2.00/2.00, addr 4> on usbus0
umass0:  SCSI over Bulk-Only; quirks = 0x0100
umass0:7:0: Attached to scbus7
cd0 at umass-sim0 bus 0 scbus7 target 0 lun 0
cd0: <ATEN Virtual CDROM YS0J> Removable CD-ROM SCSI device
cd0: 40.000MB/s transfers
cd0: 1675MB (857810 2048 byte sectors)
cd0: quirks=0x10<10_BYTE_ONLY>
lo0: link state changed to UP
igb0: link state changed to UP
ix0: link state changed to UP
igb1: link state changed to UP
ix1: link state changed to UP
ioat0: <BDXDE IOAT Ch0> mem 0xfb306000-0xfb307fff irq 16 at device 0.0 on pci3
ioat0: Capabilities: c2641<Completion_Timeout_Support,DMA_with_Multicasting_Support,Descriptor_Write_Back_Error_Support,DMA_with_DIF,PQ,Block_Fill,Page_Break>
ioat1: <BDXDE IOAT Ch1> mem 0xfb304000-0xfb305fff irq 17 at device 0.1 on pci3
ioat1: Capabilities: c2641<Completion_Timeout_Support,DMA_with_Multicasting_Support,Descriptor_Write_Back_Error_Support,DMA_with_DIF,PQ,Block_Fill,Page_Break>
ioat2: <BDXDE IOAT Ch2> mem 0xfb302000-0xfb303fff irq 18 at device 0.2 on pci3
ioat2: Capabilities: c2641<Completion_Timeout_Support,DMA_with_Multicasting_Support,Descriptor_Write_Back_Error_Support,DMA_with_DIF,PQ,Block_Fill,Page_Break>
ioat3: <BDXDE IOAT Ch3> mem 0xfb300000-0xfb301fff irq 19 at device 0.3 on pci3
ioat3: Capabilities: c2641<Completion_Timeout_Support,DMA_with_Multicasting_Support,Descriptor_Write_Back_Error_Support,DMA_with_DIF,PQ,Block_Fill,Page_Break>
ums0 on uhub6
ums0: <vendor 0x0557 product 0x2419, class 0/0, rev 1.10/1.00, addr 3> on usbus0
ums0: 3 buttons and [Z] coordinates ID=0


# dmidecode 
...
Handle 0x0002, DMI type 2, 15 bytes
Base Board Information
        Manufacturer: Supermicro
        Product Name: X10SDV-8C-TLN4F
        Version: 2.00
...
Handle 0x0015, DMI type 41, 11 bytes
Onboard Device
        Reference Designation:  Intel X557-AT2 Ethernet #1
        Type: Ethernet
        Status: Enabled
        Type Instance: 3
        Bus Address: 0000:03:00.0

Handle 0x0016, DMI type 41, 11 bytes
Onboard Device
        Reference Designation:  Intel X557-AT2 Ethernet #2
        Type: Ethernet
        Status: Enabled
        Type Instance: 4
        Bus Address: 0000:03:00.1
...


Regards
Comment 1 Piotr Pietruszewski 2019-02-22 14:57:12 UTC
(In reply to Ozkan KIRIK from comment #0)
We have trouble reproducing this bug in our environment. Could you please provide information specified below?

1. What type of traffic is predominant (UDP/TCP)?
2. Is the same amount of traffic going out and back in or is it only outgoing traffic?
3. What is your port configuration (dump from ifconfig will be helpful)?
Comment 2 Ozkan KIRIK 2019-02-22 18:46:16 UTC
Hello,

Type of traffic is mixed both tcp and udp. Traffic is generated using WARP17 (github.com/Juniper/warp17) tool. Configuration is req size 1000byte and response size 65535byte both UDP and TCP traffic.

|--------|           |-------|
|   port0|-----<-----|ix0    |       ix0: RX ~2Gbps  TX ~10Gbps
|WARP Box|           |FreeBSD|
|   port1|----->-----|ix1    |       ix1: RX ~10Gbps TX ~2Gbps
|________|           |_______|

# ifconfig
ix0: flags=8c03<UP,BROADCAST,OACTIVE,SIMPLEX,MULTICAST> metric 0 mtu 1500
        options=e53cbb<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,JUMBO_MTU,VLAN_HWCSUM,LRO,WOL_UCAST,WOL_MCAST,WOL_MAGIC,VLAN_HWFILTER,VLAN_HWTSO,RXCSUM_IPV6,TXCSUM_IPV6>
        ether 0c:c4:7a:c7:67:6a
        inet6 fe80::1%ix0 prefixlen 128 tentative scopeid 0x1
        inet 192.168.2.1 netmask 0xffffff00 broadcast 192.168.2.255
        groups: lanlar
        media: Ethernet autoselect
        status: no carrier
        nd6 options=21<PERFORMNUD,AUTO_LINKLOCAL>
ix1: flags=8843<UP,BROADCAST,RUNNING,SIMPLEX,MULTICAST> metric 0 mtu 1500
        options=e53fbb<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,JUMBO_MTU,VLAN_HWCSUM,TSO4,TSO6,LRO,WOL_UCAST,WOL_MCAST,WOL_MAGIC,VLAN_HWFILTER,VLAN_HWTSO,RXCSUM_IPV6,TXCSUM_IPV6>
        ether 0c:c4:7a:c7:67:6b
        inet6 fe80::1%ix1 prefixlen 128 scopeid 0x2
        inet 192.168.1.1 netmask 0xffffff00 broadcast 192.168.1.255
        groups: wanlar
        media: Ethernet autoselect (10Gbase-T <full-duplex,rxpause,txpause>)
        status: active
        nd6 options=21<PERFORMNUD,AUTO_LINKLOCAL>
igb0: flags=8843<UP,BROADCAST,RUNNING,SIMPLEX,MULTICAST> metric 0 mtu 1500
        options=e527bb<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,JUMBO_MTU,VLAN_HWCSUM,TSO4,TSO6,LRO,WOL_MAGIC,VLAN_HWFILTER,VLAN_HWTSO,RXCSUM_IPV6,TXCSUM_IPV6>
        ether 0c:c4:7a:c7:62:ba
        inet6 fe80::1%igb0 prefixlen 128 scopeid 0x3
        inet 10.2.2.46 netmask 0xffffff00 broadcast 10.2.2.255
        groups: wanlar
        media: Ethernet autoselect (100baseTX <full-duplex>)
        status: active
        nd6 options=21<PERFORMNUD,AUTO_LINKLOCAL>
igb1: flags=8843<UP,BROADCAST,RUNNING,SIMPLEX,MULTICAST> metric 0 mtu 1500
        options=e507bb<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,JUMBO_MTU,VLAN_HWCSUM,TSO4,TSO6,LRO,VLAN_HWFILTER,VLAN_HWTSO,RXCSUM_IPV6,TXCSUM_IPV6>
        ether 0c:c4:7a:c7:62:bb
        inet6 fe80::1%igb1 prefixlen 128 scopeid 0x4
        inet 192.168.3.1 netmask 0xffffff00 broadcast 192.168.3.255
        groups: lanlar
        media: Ethernet autoselect (1000baseT <full-duplex>)
        status: active
        nd6 options=21<PERFORMNUD,AUTO_LINKLOCAL>
lo0: flags=8049<UP,LOOPBACK,RUNNING,MULTICAST> metric 0 mtu 16384
        options=680003<RXCSUM,TXCSUM,LINKSTATE,RXCSUM_IPV6,TXCSUM_IPV6>
        inet6 ::1 prefixlen 128
        inet6 fe80::1%lo0 prefixlen 64 scopeid 0x5
        inet 127.0.0.1 netmask 0xff000000
        inet 127.0.0.2 netmask 0xffffffff
        groups: lo dmzler
        nd6 options=21<PERFORMNUD,AUTO_LINKLOCAL>
enc0: flags=0<> metric 0 mtu 1536
        groups: enc
        nd6 options=29<PERFORMNUD,IFDISABLED,AUTO_LINKLOCAL>
pflog0: flags=0<> metric 0 mtu 33160
        groups: pflog
pfsync0: flags=0<> metric 0 mtu 1500
        syncpeer: 0.0.0.0 maxupd: 128 defer: off
        groups: pfsync
disc0: flags=8048<LOOPBACK,RUNNING,MULTICAST> metric 0 mtu 65532
        groups: disc
        nd6 options=29<PERFORMNUD,IFDISABLED,AUTO_LINKLOCAL>
Comment 3 Ozkan KIRIK 2019-04-01 15:26:27 UTC
Problem is disappeared in FreeBSD 12.0-STABLE r345762M